<?php

namespace Drupal\csp\Plugin\CspReportingHandler;

use Drupal\Core\Form\FormStateInterface;
use Drupal\csp\Csp;
use Drupal\csp\Plugin\ReportingHandlerBase;

/**
 * Null Csp Reporting Handler.
 *
 * @CspReportingHandler(
 *   id = "none",
 *   label = @Translation("None"),
 *   description = @Translation("Reporting is disabled"),
 * )
 */
class None extends ReportingHandlerBase {

  /**
   * {@inheritdoc}
   */
  public function getForm(array $form): array {
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state): void {

  }

  /**
   * {@inheritdoc}
   */
  public function alterPolicy(Csp $policy): void {

  }

}
